<template>
  <ElAffix>
    <ElMenu
      class="el-menu-demo"
      mode="horizontal"
      :ellipsis="false"
      :router="true"
    >
      <ElMenuItem index="/">
        <img :src="LogoImage" :alt="`${title} logo`" height="32" />
        <label class="title">{{ title }}</label>
      </ElMenuItem>
      <div class="flex-grow" />
      <li class="block" role="menuitem">
        <DarkModeButton />
      </li>
    </ElMenu>
  </ElAffix>
</template>

<script lang="ts" setup>
import LogoImage from "@/assets/logo.svg?url";
import DarkModeButton from "./DarkModeButton.vue";

const title = import.meta.env.VITE_WEBSITE_TITLE;
</script>

<style lang="scss" scoped>
.flex-grow {
  flex-grow: 1;
}

.block {
  // flex-grow: 1;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  position: relative;
  padding: 0 var(--el-menu-base-level-padding);
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  box-sizing: border-box;
  padding: 5px 10px;
  overflow: hidden;
  height: 100%;

  img {
    height: 36px;
  }
}

.title {
  font-size: 1.4em;
  margin-left: 4px;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  pointer-events: none;
}
</style>
